export interface IProgressMonitor {
    handleMessage(err: Error, msg: any): void;
    stop(): void;
    logMessage(message: string): void;
    beginTask(task: string, total: number): void;
    done(): void;
    setCancelled(): void;
    setTaskName(task: string): void;
    subTask(task: string): void;
    worked(worked: number): void;
}
export declare class ProgressMonitor implements IProgressMonitor {
    private delegate;
    private closeHandler;
    private isCancelled;
    private _done;
    private preWork;
    private totalWork;
    private title;
    private started;
    private finalizing;
    constructor(delegate: any, closeHandler: any);
    handleMessage(err: Error, msg: any): void;
    private delegateMessage(msg);
    private doClose();
    stop(): void;
    logMessage(message: string): void;
    beginTask(task: string, total: number): void;
    done(): void;
    isDone(): boolean;
    setCancelled(): void;
    setTaskName(task: string): void;
    subTask(name: string): void;
    worked(worked: number): void;
    private getPercentangeDone();
    private computeTitle();
    private setTitle(value);
    report(msg: string): void;
}
