"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vscode_jsonrpc_1 = require("vscode-jsonrpc");
var Messages;
(function (Messages) {
    let Server;
    (function (Server) {
        let FindServerInstallationsRequest;
        (function (FindServerInstallationsRequest) {
            FindServerInstallationsRequest.type = new vscode_jsonrpc_1.RequestType('server/findServerInstallations');
        })(FindServerInstallationsRequest = Server.FindServerInstallationsRequest || (Server.FindServerInstallationsRequest = {}));
        let GetDiscoveryPathsRequest;
        (function (GetDiscoveryPathsRequest) {
            GetDiscoveryPathsRequest.type = new vscode_jsonrpc_1.RequestType0('server/getDiscoveryPaths');
        })(GetDiscoveryPathsRequest = Server.GetDiscoveryPathsRequest || (Server.GetDiscoveryPathsRequest = {}));
        let AddDiscoveryPathRequest;
        (function (AddDiscoveryPathRequest) {
            AddDiscoveryPathRequest.type = new vscode_jsonrpc_1.RequestType('server/addDiscoveryPath');
        })(AddDiscoveryPathRequest = Server.AddDiscoveryPathRequest || (Server.AddDiscoveryPathRequest = {}));
        let RemoveDiscoveryPathRequest;
        (function (RemoveDiscoveryPathRequest) {
            RemoveDiscoveryPathRequest.type = new vscode_jsonrpc_1.RequestType('server/removeDiscoveryPath');
        })(RemoveDiscoveryPathRequest = Server.RemoveDiscoveryPathRequest || (Server.RemoveDiscoveryPathRequest = {}));
        let GetServerHandlesRequest;
        (function (GetServerHandlesRequest) {
            GetServerHandlesRequest.type = new vscode_jsonrpc_1.RequestType0('server/getServerHandles');
        })(GetServerHandlesRequest = Server.GetServerHandlesRequest || (Server.GetServerHandlesRequest = {}));
        let DeleteServerRequest;
        (function (DeleteServerRequest) {
            DeleteServerRequest.type = new vscode_jsonrpc_1.RequestType('server/deleteServer');
        })(DeleteServerRequest = Server.DeleteServerRequest || (Server.DeleteServerRequest = {}));
        let CreateServerRequest;
        (function (CreateServerRequest) {
            CreateServerRequest.type = new vscode_jsonrpc_1.RequestType('server/createServer');
        })(CreateServerRequest = Server.CreateServerRequest || (Server.CreateServerRequest = {}));
        let StartServerAsyncRequest;
        (function (StartServerAsyncRequest) {
            StartServerAsyncRequest.type = new vscode_jsonrpc_1.RequestType('server/startServerAsync');
        })(StartServerAsyncRequest = Server.StartServerAsyncRequest || (Server.StartServerAsyncRequest = {}));
        let StopServerAsyncRequest;
        (function (StopServerAsyncRequest) {
            StopServerAsyncRequest.type = new vscode_jsonrpc_1.RequestType('server/stopServerAsync');
        })(StopServerAsyncRequest = Server.StopServerAsyncRequest || (Server.StopServerAsyncRequest = {}));
        let ShutdownNotification;
        (function (ShutdownNotification) {
            ShutdownNotification.type = new vscode_jsonrpc_1.NotificationType0('server/shutdown');
        })(ShutdownNotification = Server.ShutdownNotification || (Server.ShutdownNotification = {}));
    })(Server = Messages.Server || (Messages.Server = {}));
    let Client;
    (function (Client) {
        let DiscoveryPathAddedNotification;
        (function (DiscoveryPathAddedNotification) {
            DiscoveryPathAddedNotification.type = new vscode_jsonrpc_1.NotificationType('client/discoveryPathAdded');
        })(DiscoveryPathAddedNotification = Client.DiscoveryPathAddedNotification || (Client.DiscoveryPathAddedNotification = {}));
        let DiscoveryPathRemovedNotification;
        (function (DiscoveryPathRemovedNotification) {
            DiscoveryPathRemovedNotification.type = new vscode_jsonrpc_1.NotificationType('client/discoveryPathRemoved');
        })(DiscoveryPathRemovedNotification = Client.DiscoveryPathRemovedNotification || (Client.DiscoveryPathRemovedNotification = {}));
        let ServerAddedNotification;
        (function (ServerAddedNotification) {
            ServerAddedNotification.type = new vscode_jsonrpc_1.NotificationType('client/serverAdded');
        })(ServerAddedNotification = Client.ServerAddedNotification || (Client.ServerAddedNotification = {}));
        let ServerRemovedNotification;
        (function (ServerRemovedNotification) {
            ServerRemovedNotification.type = new vscode_jsonrpc_1.NotificationType('client/serverRemoved');
        })(ServerRemovedNotification = Client.ServerRemovedNotification || (Client.ServerRemovedNotification = {}));
        let ServerStateChangedNotification;
        (function (ServerStateChangedNotification) {
            ServerStateChangedNotification.type = new vscode_jsonrpc_1.NotificationType('client/serverStateChanged');
        })(ServerStateChangedNotification = Client.ServerStateChangedNotification || (Client.ServerStateChangedNotification = {}));
        let ServerProcessCreatedNotification;
        (function (ServerProcessCreatedNotification) {
            ServerProcessCreatedNotification.type = new vscode_jsonrpc_1.NotificationType('client/serverProcessCreated');
        })(ServerProcessCreatedNotification = Client.ServerProcessCreatedNotification || (Client.ServerProcessCreatedNotification = {}));
        let ServerProcessTerminatedNotification;
        (function (ServerProcessTerminatedNotification) {
            ServerProcessTerminatedNotification.type = new vscode_jsonrpc_1.NotificationType('client/serverProcessTerminated');
        })(ServerProcessTerminatedNotification = Client.ServerProcessTerminatedNotification || (Client.ServerProcessTerminatedNotification = {}));
        let ServerProcessOutputAppendedNotification;
        (function (ServerProcessOutputAppendedNotification) {
            ServerProcessOutputAppendedNotification.type = new vscode_jsonrpc_1.NotificationType('client/serverProcessOutputAppended');
        })(ServerProcessOutputAppendedNotification = Client.ServerProcessOutputAppendedNotification || (Client.ServerProcessOutputAppendedNotification = {}));
    })(Client = Messages.Client || (Messages.Client = {}));
})(Messages = exports.Messages || (exports.Messages = {}));
//# sourceMappingURL=messages.js.map